/*
 * This file is part of telepathy-feed
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef _SHARED_H
#define _SHARED_H

#include <libtelepathy/tp-conn.h>

extern DBusGConnection *gconnection;
extern DBusConnection *connection;

typedef struct {
  TpConn *conn;
  TpChan *chan;
  GHashTable *account_hash;
  DBusGProxy *presence_proxy;
  DBusGProxy *group_proxy;
  guint status;
  guint self_handle;
  guint list_handle;
} FeedContext;

/* Debugging flags */
enum {
	DEBUG_PRESENCE = 1 << 1,
	DEBUG_DBUS = 1 << 3,
};

extern guint debug_flags;

#define p_debug(f, x...) if (debug_flags & DEBUG_PRESENCE) g_debug (G_STRLOC ": " f, ##x)
#define d_debug(f, x...) if (debug_flags & DEBUG_DBUS) g_debug (G_STRLOC ": " f, ##x)

#endif /* _SHARED_H */
